# Class RunProperties

#### Hierarchy (view full)

- IgnoreIfEmptyXmlComponent
  - RunProperties

- Defined in file/paragraph/run/properties.ts:162

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml
push

## Constructors

### constructor

- new RunProperties(options?): RunProperties

- #### Parameters

  - `Optional` options: IRunPropertiesOptions

  #### Returns RunProperties

  Overrides IgnoreIfEmptyXmlComponent.constructor

  - Defined in file/paragraph/run/properties.ts:163

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from IgnoreIfEmptyXmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from IgnoreIfEmptyXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:56

### push

- push(item): void

- #### Parameters

  - item: XmlComponent

  #### Returns void

  - Defined in file/paragraph/run/properties.ts:324

Generated using TypeDoc